void printl(long val);

int main()
{
  unsigned long i, val, val2;

  for (i = -2; (long)i < 3; i++) {
    val = i; val2 = ++val; printl(val); printl(val2);
    val = i; val2 = --val; printl(val); printl(val2);
    val = i; val2 = val++; printl(val); printl(val2);
    val = i; val2 = val--; printl(val); printl(val2);
  }

  return 0;
}
